<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="FORM[@FormMode='WithoutTags']">
<xsl:call-template name="FormIntro"/>
</xsl:template>

<xsl:template match="FORM">
<xsl:apply-templates select="FormTitle"/>
<form method="POST">
	<xsl:apply-templates select="ONSUBMIT|ENCTYPE|METHOD|ACTION|NAME"/>
	<xsl:call-template name="FormIntro"/>
</form>
</xsl:template>

<xsl:template match="FormTitle">
<p><b><xsl:value-of select = "."/></b></p>
</xsl:template>

<xsl:template name="FormIntro">
<xsl:apply-templates select="INPUT">
		<xsl:with-param name="input_class">form_input</xsl:with-param>
		<xsl:with-param name="title_class">form_input_title</xsl:with-param>
</xsl:apply-templates>
<tr>
	<td height="20px" width="15%"></td>
	<td height="20px" width="15%">
		<xsl:apply-templates select="BUTTON">
			<xsl:with-param name="class">form_button</xsl:with-param>
		</xsl:apply-templates>
	</td>
</tr>
</xsl:template>

<xsl:template match="FORM/ONSUBMIT|FORM/ENCTYPE|FORM/METHOD|FORM/ACTION|FORM/NAME">
	<xsl:attribute name = "{name()}"><xsl:value-of select = "."/></xsl:attribute>	
</xsl:template>

</xsl:stylesheet>