<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" />
<!--
<xsl:template match="BR">
  <xsl:text>&#xA;</xsl:text>
</xsl:template>
-->
<xsl:template name="INPUT-TITLE">
<xsl:param name="title_class" />
	<td nowrap="nowrap" width="25%" style="padding-left: 5px;" valign="middle">
		<xsl:attribute name="class">
			<xsl:value-of select="$title_class" />
		</xsl:attribute>
		<xsl:value-of select="TITLE" />		
		<xsl:apply-templates select="REQUIRED" />
	</td>
</xsl:template>

<xsl:template match="INPUT[@MODE='TEXTAREA']" >
	<xsl:param name="input_class" />
	<xsl:param name="title_class" />
	<tr>
		<xsl:call-template name="INPUT-TITLE">
			<xsl:with-param name="title_class">
				<xsl:value-of select="$title_class" />
			</xsl:with-param>
		</xsl:call-template>
		<td width="75%">
			<textarea>
				<xsl:attribute name="class">
					<xsl:value-of select="$input_class" />
				</xsl:attribute>
				<xsl:call-template name="INPUT-ATTRIBUTE"/>
				<xsl:value-of select = "VALUE" />
			</textarea>
		</td>
	</tr>
</xsl:template>

<xsl:template match="INPUT[@MODE='WYSIWYG']">
	<xsl:param name="RteId">
		<xsl:text>rte_</xsl:text>
		<xsl:value-of select="//FORM/NAME"/>
		<xsl:text>_</xsl:text>
		<xsl:value-of select="NAME"/>
	</xsl:param>
	<input type="hidden">
		<xsl:attribute name="id"><xsl:text>hdn</xsl:text><xsl:value-of select="$RteId"/></xsl:attribute>
		<xsl:call-template name="INPUT-ATTRIBUTE"/>
	</input>
	<tr>
		<xsl:call-template name="INPUT-TITLE">
			<xsl:with-param name="title_class">
				<xsl:value-of select="$title_class" />
			</xsl:with-param>
		</xsl:call-template>
		<td width="75%">
			<script language="JavaScript" type="text/javascript" src="/{$core_path_http}/wysiwyg/js/richtext.js" />
			<script language="JavaScript" type="text/javascript">
				<xsl:text>initRTE("/</xsl:text>
				<xsl:value-of select="$core_path_http" />
				<xsl:text>/wysiwyg/","images/","pages/",false,true);</xsl:text>
			</script>
			<script language="JavaScript" type="text/javascript">
				<xsl:text>writeRichText('</xsl:text>
				<xsl:value-of select="$RteId" />
				<xsl:text>','</xsl:text>
				<xsl:value-of select = "VALUE" />
				<xsl:text>',100,100,true,false);</xsl:text>
			</script>
		</td>
	</tr>
</xsl:template>

<xsl:template match="INPUT[@MODE='HIDDEN']">
	<input>
		<xsl:call-template name="INPUT-ATTRIBUTE"/>
	</input>
</xsl:template>


<xsl:template match="INPUT[@MODE='TEXT' or @MODE='PASSWORD']">
	<xsl:param name="input_class" />
	<xsl:param name="title_class" />
    <tr>
		<xsl:call-template name="INPUT-TITLE">
			<xsl:with-param name="title_class">
				<xsl:value-of select="$title_class" />
			</xsl:with-param>
		</xsl:call-template>
	   <td width="75%">
		<input>
			<xsl:attribute name="class"><xsl:value-of select="$input_class" /></xsl:attribute>
			<xsl:apply-templates select="@*"/>
			<xsl:call-template name="INPUT-ATTRIBUTE"/>
		</input>
	</td>
	</tr>
</xsl:template>

<xsl:template name="INPUT-ATTRIBUTE">
	<xsl:attribute name = "TYPE">
		<xsl:value-of select = "@MODE" />
	</xsl:attribute>
	<xsl:apply-templates select="NAME|VALUE"/>
</xsl:template>


<xsl:template match="LINK">
	<xsl:param name="class" />
	<a>
		<xsl:attribute name="class"><xsl:value-of select="$class" /></xsl:attribute>
		<xsl:apply-templates select="@*"/>
		<xsl:apply-templates select="URL"/>	
		<xsl:apply-templates select="ONCLICK"/>
		<xsl:value-of select="CAPTION"/>
	</a>&#160;&#160;
</xsl:template>

<xsl:template match="BUTTON">
	<xsl:param name="class" />
	<input>
		<xsl:attribute name="class">
			<xsl:value-of select="$class" />
		</xsl:attribute>
		<xsl:apply-templates select="@*"/>
	</input>&#160;&#160;
</xsl:template>

<xsl:template match="URL">
	<xsl:attribute name = "HREF"><xsl:value-of select = "."/></xsl:attribute>	
</xsl:template>

<xsl:template match="REQUIRED" >
	<span>&#160;*&#160;</span>
</xsl:template>

<xsl:template match="NAME|TYPE|VALUE">
	<xsl:attribute name = "{name()}"><xsl:value-of select = "."/></xsl:attribute>	
</xsl:template>

<xsl:template match="ONCLICK">
	<xsl:attribute name = "ONCLICK">
		<xsl:value-of select="." disable-output-escaping="yes"/>
	</xsl:attribute>	
</xsl:template>


<xsl:template match="TEXT">
	<span>
		<xsl:apply-templates select="@*"/>
		<xsl:value-of select="."/>	
	</span>
</xsl:template>

<!--
<xsl:template match="DATE-TIME">
	<xsl:apply-templates select="TEXT"/>
</xsl:template>
-->
<xsl:template match="*/@MODE"/>

<xsl:template match="INPUT/@*|TEXT/@*|LINK/@*|BUTTON/@*">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
	</xsl:copy>
</xsl:template>

</xsl:stylesheet>