<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="AUTOR-INFO">
	<xsl:apply-templates select="AUTORNAME"/>
	<a href="http://{URL}"  target="_blank" class="message_autor_url"><xsl:value-of select="URL"/></a>
	<br/>
	<a href="mailto:{MAIL}" target="_blank" class="message_autor_url"><xsl:value-of select="MAIL"/></a>
	<br/><br/>
</xsl:template>

<xsl:template match="AUTOR-INFO/AUTORNAME">
	<span class="message_autor_name"><xsl:value-of select="."/></span> 
	<br/>
</xsl:template>

<xsl:template match="MESSAGE">
<tr class="message_background">
	<td width="25%" valign="top" class="message_td_left">
	<xsl:apply-templates select="AUTOR-INFO"/>
	<span class="message_date_time">
		<xsl:value-of select="DATE"/>
		<br/>
		<xsl:value-of select="TIME"/>
	</span>
		<br/> 
	</td>
	<td width="75%"  valign="top" class="message_td_right">
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
			<tr >
				<td align="right" valign="top" width="100%">
					<xsl:apply-templates select="LINK">
						<xsl:with-param name="class">edit_delete_page</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td width="100%"><span class="message_comment"><xsl:apply-templates select="COMMENT"/></span></td>
			</tr>
		</table>
	</td> 
</tr> 
</xsl:template>

<xsl:template match="COMMENT">
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:template>

<xsl:template match="COMMENT//*|COMMENT//@*|COMMENT//comment()|COMMENT//text()">
	<xsl:copy>
		<xsl:apply-templates select="*|@*|comment()|text()"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="xhtml//*|xhtml//@*|xhtml//comment()|xhtml//text()">
	<xsl:copy>
		<xsl:apply-templates select="*|@*|comment()|text()" />
	</xsl:copy>
</xsl:template>

<xsl:template match="xhtml//img/@src">
	<xsl:attribute name="src">/modules/img/<xsl:value-of select="." /></xsl:attribute>
</xsl:template>

</xsl:stylesheet>
